APT-EXTRACTTEMPLATE(1)

NOME
apt-extracttemplates - utilità per estrarre configurazioni e modelli debconf dai pacchetti Debian

SINOSSI

apt-extracttemplates [-t=directory_temporanea] nomefile... {-v | --version} {-h | --help}

DESCRIZIONE

apt-extracttemplates accetta in input uno o più file di pacchetti Debian e scrive (in una directory temporanea) tutti gli script di configurazione e i file template associati. Per ogni pacchetto ricevuto che contenga script di configurazione e template, verrà generata una riga in output nel formato:

pacchetto versione file-template script-di-configurazione

file-template e script-di-configurazione sono scritti nella directory temporanea specificata da -t o --tempdir (APT::ExtractTemplates::TempDir), con i nomi dei file nella forma pacchetto.template.XXXXXX e pacchetto.config.XXXXXX

OPZIONI

Tutte le opzioni a riga di comando si possono impostare usando il file di configurazione; le descrizioni indicano l'opzione da impostare. Per le opzioni booleane si può scavalcare il file di configurazione usando qualcosa come -f-, --no-f, -f=no o diverse altre varianti.

-t, --tempdir
    Directory temporanea dove scrivere gli script di configurazione e i file template di debconf estratti. Voce di configurazione: APT::ExtractTemplates::TempDir.

-h, --help
    Mostra un breve riassunto sull'uso.

-v, --version
    Mostra la versione del programma.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    File di configurazione; specifica un file di configurazione da usare. Il programma legge il file di configurazione predefinito e poi questo file di configurazione. Se è necessario modificare le impostazioni di configurazione prima che vengano analizzati i file di configurazione predefiniti, specificare un file con la variabile d'ambiente APT_CONFIG. Vedere apt.conf(5) per informazioni sulla sintassi.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VEDERE ANCHE

apt.conf(5)

DIAGNOSTICA

apt-extracttemplatesrestituisce zero in caso di funzionamento normale e il valore decimale 100 in caso di errore.

BUG

Pagina dei bug di APT[1]. Se si desidera segnalare un bug in APT, vedere /usr/share/doc/debian/bug-reporting.txt o il comando reportbug(1).

TRADUZIONE

Traduzione in italiano a cura del Team italiano di localizzazione di Debian <debian-l10n-italian@lists.debian.org>. In particolare hanno contribuito Eugenia Franzoni (2000), Hugh Hartmann (2000-2012), Gabriele Stilli (2012), Beatrice Torracca (2012, 2014, 2015).

Notare che questa versione tradotta del documento può contenere parti non tradotte. Ciò è voluto, per evitare di perdere contenuti quando la traduzione non è aggiornata rispetto all'originale.

AUTORI

Jason Gunthorpe

Team APT

NOTE

1.  Pagina dei bug di APT
    https://bugs.debian.org/src:apt